/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/

// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     delight.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision$
// = DATE RELEASED
//     $Date: 2005-03-29 12:43:07 -0500 (Tue, 29 Mar 2005) $
// = RCSID
//     $Id: delight.h 7147 2005-03-29 17:43:07Z olivier $
// ===========================================================================


#ifndef __delight_H
#define __delight_H


#undef DL_IMPORT

#if defined(WIN32) || defined(_WIN32)
#define DL_IMPORT __declspec(dllimport)
#else
#define DL_IMPORT
#endif

DL_IMPORT const char* DlGetVersionString(); /* 1.1.1a (Jan 01 2000) */
DL_IMPORT const char* DlGetLibNameAndVersionString(); /* 3DeLight 1.1.1a (Jan 01 2000) */
DL_IMPORT const char* DlGetCopyrightString(); /* 3DeLight 1.1.1a (Jan 01 2000) */

#endif // __delight_HH

