// AboutDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dribble.h"
#include "AboutDlg.h"

#include "wfmmshaders.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#ifndef _DEBUG
CString AboutCaptionText = "dribble 1.0";
#else
CString AboutCaptionText = "dribble 1.0 DEBUG";
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog


CAboutDlg::CAboutDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAboutDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAboutDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_ABOUTHELP, m_help);
	DDX_Control(pDX, IDC_CLOSEBTN, m_close);
	DDX_Control(pDX, IDC_SCROLLY, m_scrolly);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_BN_CLICKED(IDC_CLOSEBTN, OnClosebtn)
	ON_WM_PAINT()
	ON_WM_NCHITTEST()
	ON_BN_CLICKED(IDC_ABOUTHELP, OnHelp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg message handlers

void CAboutDlg::OnClosebtn() 
{
	CDialog::OnOK();
}

BOOL CAboutDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_close.m_hUpBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_CLOSE));
	m_close.m_hDownBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_DOCLOSE));
	m_close.DrawBorders = FALSE;

	
	CRect myRect;
	GetClientRect(myRect);
	m_close.MoveWindow(myRect.right-12, 1, 11, 11, TRUE);
	
	if (m_font.CreateFont(32, 0, 0, 0, FW_HEAVY, FALSE, FALSE, FALSE, ANSI_CHARSET, OUT_DEVICE_PRECIS, CLIP_TT_ALWAYS, PROOF_QUALITY, FF_DONTCARE, "Verdana") == 0)
		m_font.CreatePointFont(220, "Arial");
	
	m_credits = "        created by simon windmill.."
				"        with grateful acknowledgement to the following people:"
				"        roland ludlam..    jonathan koehn..    joe brewer..    armando 'god of the greets' manuel..   rob mitchell..    matthew chan..    "
				"        and jens kreiensiek for this old-school sine scroller.."
				"        also many thanks to our friends, including:   alain bellon..  casey langen..  judith hinds..  rich wolkins..  brett fattori..  andrew moffitt..  kevin barnett..  mark dowman..  ann mcmeekin.."
				"        oh, how I'm tired..  I only got a couple of hours of sleep, then got up and watched mst3k and listened to the leeds match.. if I'd have known we'd lose 3-1 I might have stayed in bed.."
				"        if you saw the cp4 scroller, you saw the list of things I thought were cool at the time..  so let's do it again:"
				"        os x  |  the new iMac  |  the old iMac  |  windows xp  |  ultraedit  |  rob van dam  |  episode ii  |  trillian  |  ps2  |  texas  |  samba  |  brazil r/s  |  virtualight =)  |  AIR  |  mp3s of dj sets  |  mame  |  opengl  |  pixar  |  invader zim"
				"        sorry, I got bored.. I'm rambling now, so we'll wrap it up, eh?"
				"        dedicated as always to my beautiful wife, amy and my wonderful son, sam"
				"        __________________________"
				"        those lines always look cool in scrollers, eh?"
				"        __________________________"
				"        so luckily you got another for luck"
				"        2 weeks until Attack of the Clones!                     ";
				
					

	
	// Initialize Sinus-Control...
	m_scrolly.SetText(m_credits);
	m_scrolly.SetFont(&m_font);
	m_scrolly.SetSinusSpeed(-10);
	m_scrolly.Start();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CAboutDlg::OnPaint() 
{
		CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here

	CRect myRect;
	GetClientRect(myRect);
	
	CPen myPen;

	// fill the background
	dc.FillSolidRect(myRect, RGB(192,192,192));

	// draw the caption bar
	CRect CaptionRect;
	CaptionRect.left = 0;
	CaptionRect.top = 1;
	CaptionRect.right = myRect.right-1;
	CaptionRect.bottom = 12;
	CFont CaptionFont;
	CaptionFont.CreateFont(-9,0,0,0,FW_NORMAL,FALSE,FALSE,
		0,ANSI_CHARSET,OUT_TT_PRECIS,
		CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,
		FF_SWISS,"Arial");
	CFont* oldfont = dc.SelectObject(&CaptionFont);
	dc.FillSolidRect(CaptionRect, GetSysColor(COLOR_ACTIVECAPTION));
	dc.SetTextColor(GetSysColor(COLOR_CAPTIONTEXT));
	dc.DrawText(AboutCaptionText, -1, CaptionRect, DT_CENTER);
	CaptionFont.DeleteObject();
	dc.SelectObject(oldfont);
	
	
	// draw the black line
	myPen.CreatePen(PS_SOLID, 1, RGB(0,0,0));
	CPen* oldpen = dc.SelectObject(&myPen);
	dc.MoveTo(0, 12);
	dc.LineTo(myRect.right-1, 12);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();

	// draw the outside border
	myPen.CreatePen(PS_SOLID, 1, RGB(255,255,255));
	oldpen = dc.SelectObject(&myPen);
	dc.MoveTo(0, myRect.bottom-1);
	dc.LineTo(0,0);
	dc.LineTo(myRect.right-1, 0);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();
	myPen.CreatePen(PS_SOLID, 1, RGB(0,0,0));
	oldpen = dc.SelectObject(&myPen);
	dc.LineTo(myRect.right-1,myRect.bottom-1);
	dc.LineTo(0, myRect.bottom-1);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();

}


LRESULT CAboutDlg::OnNcHitTest(CPoint point) 
{
	return HTCAPTION;
}

void CAboutDlg::OnHelp() 
{
	ShowHTML("vodocs/index.html");
	
}
