#if !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
#define AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MainDlg.h : header file
//

#include "tSButton.h"
#include "NumberSpinner.h"
#include "tSCheckBox.h"
#include "colorbutton.h"

#include "XTabCtrl.h"

#include "OutputTab.h"
#include "LightsTab.h"
#include "GITab.h"
#include "CamTab.h"
#include "EnviroTab.h"

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

class CMainDlg : public CDialog
{
// Construction
public:
	CString Filename;
	CString VLightPath;
	bool Rolled;
	CMainDlg(CWnd* pParent = NULL);   // standard constructor

	COutputTab	*m_pOutputTab;
	CLightsTab	*m_pLightsTab;
	CGITab		*m_pGITab;
	CCamTab		*m_pCamTab;
	CEnviroTab	*m_pEnviroTab;

	void DoLoadSettings(CString filename);
	void DoSaveSettings(CString filename);
	void UpdateUI( bool read );
	void Export( bool file );

// Dialog Data
	//{{AFX_DATA(CMainDlg)
	enum { IDD = IDD_MAINDLG };
	CtSButton	m_savesettings;
	CtSButton	m_loadsettings;
	CXTabCtrl	m_tabctrl;
	CtSButton	m_RollupButton;
	CtSButton	m_CloseButton;
	CtSButton	m_btnRenderScene;
	CtSButton	m_btnRenderArea;
	CtSButton	m_btnRenderFile;
	CtSButton	m_ExportBtn;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMainDlg)
	afx_msg void OnPaint();
	afx_msg LRESULT OnNcHitTest(CPoint point);
	afx_msg void OnExportBtn();
	afx_msg void OnGoBtn();
	afx_msg void OnRenderFileBtn();
	afx_msg void OnAreaRenderBtn();
	afx_msg void OnCloseBtn();
	afx_msg void OnRollup();	
	virtual BOOL OnInitDialog();
	afx_msg void OnLoadsettings();
	afx_msg void OnSavesettings();
	afx_msg LRESULT OnCheckBoxChanged( WPARAM wParam, LPARAM lParam );
	//}}AFX_MSG
	
	DECLARE_MESSAGE_MAP()
private:
	int OldHeight;
	bool CheckOutputDir();
	
public:
	afx_msg void OnBnClickedGoBtn();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
