color caustic( point p; normal n; float samples )
{
	string causticmap = "";
	attribute( "photon:causticmap", causticmap );
		
	color C = photonmap( causticmap, p, n, "estimator", samples );

	return C;
}

light tScausticlight(
	float samples = 64;
	float intensity = 1;
	output float __nonspecular = 1;
	output float __foglight = 0; )
{
	normal NNs = faceforward( Ns, I );

	illuminate( Ps+NNs )
	{
		Cl = intensity * caustic(Ps, NNs, samples );
		L = 0;
	}
	/*string causticmap = "";
	attribute( "photon:causticmap", causticmap );
	color Ccaustic = photonmap( causticmap, Ps, Ns, "estimator", samples );
	solar(-Ns,0)
	{
		Cl = intensity * Ccaustic;
	}*/
}
