surface tSpaintedstandardreflect(
float Ks = .7; 
float Kd = .6;
float Ka = .1;
float roughness = .04;
float Kr = 0;
color specularcolor = 1;
color emissioncolor = 0;
string texturename = ""; )
{
	normal Nn = normalize(N);
    normal Nf = faceforward(Nn, I);
    vector V = normalize(-I);

	vector refldir = reflect( I, Nf );
	color reflcolor = trace( P, refldir );
	
	color Ct = 0;
	Ct = ( texturename != "" ) ?
		texture( texturename, "filter", "gaussian" ) : color(1,1,1);
	
	Ci = emissioncolor + ( (Ka * ambient() * Ct) + (Kd * diffuse(Nn) * Ct) + (Kr * reflcolor) + ( ( Ks * specular( Nf, V, roughness ) * specularcolor ) ) );

	Oi = Os;
	
}

