// directional sky light

light tSskylight(
  float intensity = 1.0;
  color lightcolor = 1;
  float samples = 64; 
  vector direction = ( 0, 1, 0 );
  float maxdist = 10.0;
  float bias = 0.005;
  float __nonspecular = 1; )
{
	normal shading_normal = faceforward( Ns, I );
	
	//illuminate( Ps + shading_normal )
	solar( -direction, 0.0 )
	{		
		Cl = ((1 - occlusion( Ps, shading_normal, samples, "maxdist", maxdist, "coneangle", PI/4, "axis", direction, "bias", bias )) * lightcolor) * intensity;
	}
}
