surface tSstandardreflect(
float Ks = .7; 
float Kd = .6;
float Ka = .1;
float roughness = .04;
float Kr = 0;
color specularcolor = 1;
color emissioncolor = 0;
string envname = "raytrace";
 )
{
	normal Nn = normalize(N);
    normal Nf = faceforward(Nn, I);
    vector V = normalize(-I);

	vector Rdir = reflect( I, Nf );
	//color reflcolor = trace( P, Rdir );	
	color reflcolor = 0;
	if ( envname != "raytrace" )
	{
		float dist;
		reflcolor = trace( P, Rdir, dist );
		if ( dist > 1e30 )
			reflcolor = environment( envname, Rdir );
	}
	else
		reflcolor = environment( envname, Rdir );
	
	Ci = emissioncolor + ( (Ka * ambient() * Cs) + (Kd * diffuse(Nn) * Cs) + (Kr * reflcolor) + ( ( Ks * specular( Nf, V, roughness ) * specularcolor ) ) );

	Oi = Os;
	
}
