// TSEdit.cpp : implementation file
//

#include "stdafx.h"
#include "drbHair.h"
#include "TSEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTSEdit

CTSEdit::CTSEdit()
{
}

CTSEdit::~CTSEdit()
{
}


BEGIN_MESSAGE_MAP(CTSEdit, CEdit)
	//{{AFX_MSG_MAP(CTSEdit)
	ON_CONTROL_REFLECT(EN_KILLFOCUS, OnKillfocus)
	ON_WM_KEYUP()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTSEdit message handlers

void CTSEdit::SetString(CString newstring)
{
	if (newstring != String)
		String = newstring;

	SetWindowText(String);

	::SendMessage( GetParent()->GetSafeHwnd(), WM_TSEDITCHANGED, GetDlgCtrlID(), NULL /* value */ );
}

void CTSEdit::OnKillfocus() 
{
	// TODO: Add your control notification handler code here
	/*CString tmp;
	GetWindowText(tmp);
	SetString(tmp);	*/
}

void CTSEdit::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// can't do special processing if multiline control
	
	if ( !(GetStyle() & ES_MULTILINE) )
	{
		if (nChar == 9)
		{
			CString tmp;
			GetWindowText(tmp);
			SetString(tmp);	

			CWnd* pNext = GetParent()->GetNextDlgTabItem(this);
			pNext->SetFocus();
			//::SendMessage( GetParent()->GetParent()->SetFocus(pNext), WM_TSEDITVALUECHANGED, NULL /* id */, NULL /* value */ );
		}
		else if ( (nChar == 13) || (nChar == 27) )
		{
			CString tmp;
			GetWindowText(tmp);
			SetString(tmp);	
		}
	}
	else
	{
		if (nChar == 9)
		{
			CString tmp;
			GetWindowText(tmp);
			SetString(tmp);	

			CWnd* pNext = GetParent()->GetNextDlgTabItem(this);
			pNext->SetFocus();
			//::SendMessage( GetParent()->GetParent()->SetFocus(pNext), WM_TSEDITVALUECHANGED, NULL /* id */, NULL /* value */ );
		}
	}

	CEdit::OnKeyUp(nChar, nRepCnt, nFlags);
}
