/******************************************************************************/
/*                                                                            */
/*    Copyright (c)The 3Delight Developers.                                   */
/*    All Rights Reserved.                                                    */
/*                                                                            */
/******************************************************************************/


// ===========================================================================
// = LIBRARY
//     3delight
// = FILENAME
//     dlBasicTypes.h
// = AUTHOR(S)
//     Patrick Fournier
// = VERSION
//     $Revision$
// = DATE RELEASED
//     $Date: 2004-02-23 15:51:17 -0500 (Mon, 23 Feb 2004) $
// = RCSID
//     $Id: dlBasicTypes.h 4185 2004-02-23 20:51:17Z olivier $
// = COPYRIGHT
//     Copyright  1999-2000 The 3Delight Developers.
//     All Rights Reserved.
// ===========================================================================


#ifndef __dlBasicTypes_H
#define __dlBasicTypes_H

typedef float DlRGBColor[3];

typedef float DlVector2[2];
typedef float DlVector3[3];
typedef float DlVector4[4];

typedef double DlVector2Double[2];
typedef double DlVector3Double[3];
typedef double DlVector4Double[4];

typedef float DlVectorUV[2];

typedef float DlMatrix33[9];
typedef float DlMatrix44[16];
typedef float DlBasis44[16];

#endif // __dlBasicTypes_H

