surface tSpaintedmetal(
float Ks = .7; 
float Kd = .6;
float Ka = .1;
float roughness = .04;
float Kr = 0;
color emissioncolor = 0;
float ureps = 1;
float vreps = 1;
float uoffset = 0;
float voffset = 0;
string texturename = ""; )
{
	normal Nn = normalize(N);
    normal Nf = faceforward(Nn, I);
    vector V = normalize(-I);
	
	color Ct = 0;
	
	if ( texturename != "" )
	{
		float ss = (s + uoffset) * ureps;
		float tt = (t + voffset) * vreps;
		Ct = texture( texturename, ss, tt, "filter", "gaussian" );
	}
	else
	{
		Ct = color( 1, 1, 1 );
	}
		
	Ci = emissioncolor + ( Ka * ambient() + (Kd * diffuse(Nn) * Ct) + ( ( Ks * specular( Nf, V, roughness ) * Ct ) ) );

	Oi = Os;
	
}

