#if !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
#define AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MainDlg.h : header file
//

#include "colorbutton.h"
#include "tSButton.h"
#include "NumberSpinner.h"
#include "tSCheckBox.h"
#include "TSEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

class CMainDlg : public CDialog
{
// Construction
public:
	void UpdateShader(bool forcesample = false);
	void UpdateInterface();
	bool Rolled;
	CMainDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMainDlg)
	enum { IDD = IDD_MAINDLG };
	CColorButton	m_specularcolor;
	CNumberSpinner	m_ks;
	CNumberSpinner	m_kr;
	CNumberSpinner	m_kd;
	CNumberSpinner	m_ka;
	CNumberSpinner	m_ior;
	CNumberSpinner	m_roughness;
	CNumberSpinner	m_scattering_red;
	CNumberSpinner	m_scattering_green;
	CNumberSpinner	m_scattering_blue;
	CNumberSpinner	m_absorption_red;
	CNumberSpinner	m_absorption_green;
	CNumberSpinner	m_absorption_blue;
	CNumberSpinner	m_shadingrate;
	CNumberSpinner	m_scale;
	CtSButton	m_CloseButton;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMainDlg)
	afx_msg void OnPaint();
	afx_msg LRESULT OnNcHitTest(CPoint point);
	afx_msg void OnClose();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnCloseBtn();
	virtual BOOL OnInitDialog();
	afx_msg LRESULT OnCheckBoxChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnNumberSpinnerChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnColorButtonChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnTSEditChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnTSButtonRightClicked( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnDlgBGColor( WPARAM wParam, LPARAM lParam );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int OldHeight;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
