// MainDlg.cpp : implementation file
//

#include "stdafx.h"
#include "blankshader.h"
#include "MainDlg.h"
#include "colorbtn.h"
#include "wfmmshaders.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CString CaptionText = "dribble material shader";

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog


CMainDlg::CMainDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMainDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMainDlg)
	//}}AFX_DATA_INIT
}


void CMainDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMainDlg)
	DDX_Control(pDX, IDC_DISPERSIONSAMPLES, m_dispersionsamples);
	DDX_Control(pDX, IDC_DISPERSIONAMOUNT, m_dispersionamount);
	DDX_Control(pDX, IDC_ABSORPTION, m_absorption);
	DDX_Control(pDX, IDC_REFRACTIONCOLORTEXT, m_refractioncolortext);
	DDX_Control(pDX, IDC_USEREFRACTIONCOLOR, m_userefractioncolor);
	DDX_Control(pDX, IDC_REFRACTIONCOLOR, m_refractioncolor);
	DDX_Control(pDX, IDC_CUSTOMREFRACTIONCOLOR, m_customrefractioncolor);
	DDX_Control(pDX, IDC_USEAMBIENTCOLOR, m_useambientcolor);
	DDX_Control(pDX, IDC_SAMPLERES, m_sampleres);
	DDX_Control(pDX, IDC_DORENDERSAMPLE, m_dorendersample);
	DDX_Control(pDX, IDC_DECLARATIONFILE, m_declarationfile);
	DDX_Control(pDX, IDC_USENORMALMODIFIER, m_usenormalmodifier);
	DDX_Control(pDX, IDC_USEDISPLACEMENTMAPPING, m_usedisplacementmapping);
	DDX_Control(pDX, IDC_NORMALMODIFIER, m_normalmodifier);
	DDX_Control(pDX, IDC_DISPLACEMENTMAPPING, m_displacementmapping);
	DDX_Control(pDX, IDC_METALTEXT, m_metaltext);
	DDX_Control(pDX, IDC_METAL, m_metal);
	DDX_Control(pDX, IDC_CUSTOMMETAL, m_custommetal);
	DDX_Control(pDX, IDC_KATEXT, m_katext);
	DDX_Control(pDX, IDC_USESPECULARCOLOR, m_usespecularcolor);
	DDX_Control(pDX, IDC_USEREFLECTIONCOLOR, m_usereflectioncolor);
	DDX_Control(pDX, IDC_USECAUSTICS, m_usecaustics);
	DDX_Control(pDX, IDC_SPECULARCOLOR, m_specularcolor);
	DDX_Control(pDX, IDC_REFLECTIONCOLOR, m_reflectioncolor);
	DDX_Control(pDX, IDC_KT, m_kt);
	DDX_Control(pDX, IDC_KS, m_ks);
	DDX_Control(pDX, IDC_KRBLUR, m_krblur);
	DDX_Control(pDX, IDC_KR, m_kr);
	DDX_Control(pDX, IDC_KD, m_kd);
	DDX_Control(pDX, IDC_KB, m_kb);
	DDX_Control(pDX, IDC_KA, m_ka);
	DDX_Control(pDX, IDC_IRRADIANCESAMPLES, m_irradiancesamples);
	DDX_Control(pDX, IDC_IRIDESCENCETURBULENCE, m_iridescenceturbulence);
	DDX_Control(pDX, IDC_IRIDESCENCEFILM, m_iridescencefilm);
	DDX_Control(pDX, IDC_IRIDESCENCE, m_iridescence);
	DDX_Control(pDX, IDC_IOR, m_ior);
	DDX_Control(pDX, IDC_INTERNALCAUSTICS, m_internalcaustics);
	DDX_Control(pDX, IDC_CUSTOMSPECULARCOLOR, m_customspecularcolor);
	DDX_Control(pDX, IDC_CUSTOMREFLECTIONCOLOR, m_customreflectioncolor);
	DDX_Control(pDX, IDC_CUSTOMKT, m_customkt);
	DDX_Control(pDX, IDC_CUSTOMKS, m_customks);
	DDX_Control(pDX, IDC_CUSTOMKR, m_customkr);
	DDX_Control(pDX, IDC_CUSTOMKD, m_customkd);
	DDX_Control(pDX, IDC_CUSTOMKB, m_customkb);
	DDX_Control(pDX, IDC_CUSTOMKA, m_customka);
	DDX_Control(pDX, IDC_CUSTOMCOLOR, m_customcolor);
	DDX_Control(pDX, IDC_CUSTOMBRDF, m_custombrdf);
	DDX_Control(pDX, IDC_CUSTOMAMBIENTCOLOR, m_customambientcolor);
	DDX_Control(pDX, IDC_COLOR, m_color);
	DDX_Control(pDX, IDC_CAUSTICSDENSITY, m_causticdensity);
	DDX_Control(pDX, IDC_BRDFTYPE, m_brdftype);
	DDX_Control(pDX, IDC_BRDF, m_brdf);
	DDX_Control(pDX, IDC_AMBIENTCOLOR, m_ambientcolor);
	DDX_Control(pDX, IDC_PLAINSURFACE, m_plainsurface);
	DDX_Control(pDX, IDC_PATTERNSURFACE, m_patternsurface);
	DDX_Control(pDX, IDC_FUNCTIONALSURFACE, m_functionalsurface);
	DDX_Control(pDX, IDC_ROLLUPBTN, m_RollupButton);
	DDX_Control(pDX, IDC_HELPBTN, m_HelpButton);
	DDX_Control(pDX, IDC_CLOSEBTN, m_CloseButton);
	DDX_Control(pDX, IDC_AMBIENTCOLORTEXT, m_ambientcolortext);
	DDX_Control(pDX, IDC_BRDFTEXT, m_brdftext);
	DDX_Control(pDX, IDC_COLORTEXT, m_colortext);
	DDX_Control(pDX, IDC_KBTEXT, m_kbtext);
	DDX_Control(pDX, IDC_KDTEXT, m_kdtext);
	DDX_Control(pDX, IDC_KRTEXT, m_krtext);
	DDX_Control(pDX, IDC_KSTEXT, m_kstext);
	DDX_Control(pDX, IDC_KTTEXT, m_kttext);
	DDX_Control(pDX, IDC_REFLECTIONCOLORTEXT, m_reflectioncolortext);
	DDX_Control(pDX, IDC_SPECULARCOLORTEXT, m_specularcolortext);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMainDlg, CDialog)
	//{{AFX_MSG_MAP(CMainDlg)
	ON_WM_PAINT()
	ON_WM_NCHITTEST()
	ON_WM_CLOSE()
	ON_WM_SHOWWINDOW()
	ON_BN_CLICKED(IDC_CLOSEBTN, OnCloseBtn)
	ON_BN_CLICKED(IDC_ROLLUPBTN, OnRollup)
	ON_BN_CLICKED(IDC_HELPBTN, OnHelpbtn)
	ON_MESSAGE( WM_CHECKBOXCHANGED, OnCheckBoxChanged )
	ON_MESSAGE( WM_NUMBERSPINNERCHANGED, OnNumberSpinnerChanged )
	ON_MESSAGE( WM_COLORBUTTONCHANGED, OnColorButtonChanged )
	ON_MESSAGE( WM_TSEDITCHANGED, OnTSEditChanged )
	ON_MESSAGE( WM_TSBUTTONRIGHTCLICKED, OnTSButtonRightClicked )
	ON_CBN_SELCHANGE(IDC_BRDFTYPE, OnSelchangeBrdftype)
	ON_BN_CLICKED(IDC_DECLARATIONFILE, OnDeclarationfile)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainDlg message handlers


// this is called when the dialog needs to be destroyed
void CMainDlg::PostNcDestroy() 
{
	m_pMainDialog = NULL;
	delete this;
}

// this is called when the dialog is to be closed
void CMainDlg::OnClose() 
{
	this->DestroyWindow();
}

void CMainDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here

	CRect myRect;
	GetClientRect(myRect);
	
	CPen myPen;

	// fill the background
	dc.FillSolidRect(myRect, RGB(192,192,192));

	// draw the caption bar
	CRect CaptionRect;
	CaptionRect.left = 0;
	CaptionRect.top = 1;
	CaptionRect.right = myRect.right-1;
	CaptionRect.bottom = 12;
	CFont CaptionFont;
	CaptionFont.CreateFont(-9,0,0,0,FW_NORMAL,FALSE,FALSE,
		0,ANSI_CHARSET,OUT_TT_PRECIS,
		CLIP_DEFAULT_PRECIS,DEFAULT_QUALITY,
		FF_SWISS,"Arial");
	CFont* oldfont = dc.SelectObject(&CaptionFont);
	dc.FillSolidRect(CaptionRect, GetSysColor(COLOR_ACTIVECAPTION));
	dc.SetTextColor(GetSysColor(COLOR_CAPTIONTEXT));
	dc.DrawText(CaptionText, -1, CaptionRect, DT_CENTER);
	dc.SelectObject(oldfont);
	CaptionFont.DeleteObject();

	
	
	// draw the black line
	myPen.CreatePen(PS_SOLID, 1, RGB(0,0,0));
	CPen* oldpen = dc.SelectObject(&myPen);
	dc.MoveTo(0, 12);
	dc.LineTo(myRect.right-1, 12);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();

	// draw the outside border
	myPen.CreatePen(PS_SOLID, 1, RGB(255,255,255));
	oldpen = dc.SelectObject(&myPen);
	dc.MoveTo(0, myRect.bottom-1);
	dc.LineTo(0,0);
	dc.LineTo(myRect.right-1, 0);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();
	myPen.CreatePen(PS_SOLID, 1, RGB(0,0,0));
	oldpen = dc.SelectObject(&myPen);
	dc.LineTo(myRect.right-1,myRect.bottom-1);
	dc.LineTo(0, myRect.bottom-1);
	dc.SelectObject(oldpen);
	myPen.DeleteObject();

}


// Override the hittest to allow dragging from anywhere on the dialog
UINT CMainDlg::OnNcHitTest(CPoint point) 
{
	return HTCAPTION;
}


// this is called when the dialog is to be closed
void CMainDlg::OnCloseBtn() 
{
	this->DestroyWindow();
}


void CMainDlg::OnRollup() 
{
	CRect TheRect;
	if (Rolled == FALSE)
	{
		Rolled = TRUE;
		// Store old size
		GetWindowRect(TheRect);
		OldHeight = TheRect.Height();
		MoveWindow(TheRect.left, TheRect.top, TheRect.Width(), 13);
	}
	else
	{
		Rolled = FALSE;
		GetWindowRect(TheRect);
		MoveWindow(TheRect.left, TheRect.top, TheRect.Width(), OldHeight);
	}
}

BOOL CMainDlg::DestroyWindow() 
{
	CRect TheRect;
	GetWindowRect(TheRect);
	// write window position to the system registry
	AfxGetApp()->WriteProfileInt("MainPanel","PanelX", TheRect.left);
	AfxGetApp()->WriteProfileInt("MainPanel","PanelY", TheRect.top);

	// write the render sample settngs to the registry
	AfxGetApp()->WriteProfileInt("Settings", "RenderSample", (int)m_dorendersample.Checked);
	AfxGetApp()->WriteProfileInt("Settings", "SampleRes", (int)m_sampleres.Position);



	return CDialog::DestroyWindow();
}


/////////////////////////////////////////////////////////////////////////////



// update the dialog controls with the parameter values
void CMainDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	
	// set the control values if we're being shown
	if (bShow)
	{
		UpdateInterface();
	}
}

void CMainDlg::UpdateInterface()
{
	m_plainsurface.SetChecked(false);
	m_patternsurface.SetChecked(false);
	m_functionalsurface.SetChecked(false);

	switch (SurfaceType)
	{
	case VLS_Plain:
		m_plainsurface.SetChecked(true);
		break;
	case VLS_Pattern:
		m_patternsurface.SetChecked(true);
		break;
	case VLS_Functional:
		m_functionalsurface.SetChecked(true);
		break;
	}


	m_color.SettssColor(Color);
	m_ambientcolor.SettssColor(AmbientColor);
	m_specularcolor.SettssColor(SpecularColor);
	m_reflectioncolor.SettssColor(ReflectionColor);
	m_refractioncolor.SettssColor(RefractionColor);
	
	
	m_useambientcolor.SetChecked(UseAmbientColor);
	m_usespecularcolor.SetChecked(UseSpecularColor);
	m_usereflectioncolor.SetChecked(UseReflectionColor);
	m_userefractioncolor.SetChecked(UseRefractionColor);
	m_usecaustics.SetChecked(UseCaustics);
	m_usenormalmodifier.SetChecked(UseNormalModifier);
	m_usedisplacementmapping.SetChecked(UseDisplacementMapping);


	
	
	m_kt.SetMin(0.0f);
	m_kt.SetMax(1.0f);
	m_kt.Step = 0.01f;
	m_kt.SetPosition(Kt);
	
	m_ks.SetMin(0.0f);
	m_ks.SetMax(1.0f);
	m_ks.Step = 0.01f;
	m_ks.SetPosition(Ks);
	
	m_krblur.SetMin(0.0f);
	m_krblur.SetMax(1.0f);
	m_krblur.Step = 0.01f;
	m_krblur.SetPosition(KrBlur);
	
	m_kr.SetMin(0.0f);
	m_kr.SetMax(1.0f);
	m_kr.Step = 0.01f;
	m_kr.SetPosition(Kr);

	m_metal.SetMin(0.0f);
	m_metal.SetMax(20.0f);
	m_metal.Step = 0.01f;
	m_metal.SetPosition(MetalAttribute);

	m_absorption.SetMin(0.0f);
	m_absorption.SetMax(1.0f);
	m_absorption.Step = 0.01f;
	m_absorption.SetPosition(Absorption);

	m_dispersionamount.SetMin(1.0f);
	m_dispersionamount.SetMax(10.0f);
	m_dispersionamount.Step = 0.001f;
	m_dispersionamount.SetPosition(DispersionAmount);

	m_dispersionsamples.SetMin(1.0f);
	m_dispersionsamples.SetMax(1000.0f);
	m_dispersionsamples.Step = 1.0f;
	m_dispersionsamples.SetPosition(DispersionSamples);
	
	m_kd.SetMin(0.0f);
	m_kd.SetMax(1.0f);
	m_kd.Step = 0.01f;
	m_kd.SetPosition(Kd);
	
	m_kb.SetMin(0.0f);
	m_kb.SetMax(25.0f);
	m_kb.Step = 0.01f;
	m_kb.SetPosition(Kb);
	
	m_ka.SetMin(0.0f);
	m_ka.SetMax(1.0f);
	m_ka.Step = 0.01f;
	m_ka.SetPosition(Ka);
	
	m_irradiancesamples.SetMin(0);
	m_irradiancesamples.SetMax(9999);
	m_irradiancesamples.Step = 1;
	m_irradiancesamples.SetPosition(IrradianceSamples);
	
	m_iridescenceturbulence.SetMin(0.0f);
	m_iridescenceturbulence.SetMax(2.0f);
	m_iridescenceturbulence.Step = 0.01f;
	m_iridescenceturbulence.SetPosition(IridescenceTurb);
	
	m_iridescencefilm.SetMin(0.0f);
	m_iridescencefilm.SetMax(1.0f);
	m_iridescencefilm.Step = 0.01f;
	m_iridescencefilm.SetPosition(IridescenceFilm);
	
	m_iridescence.SetMin(0.0f);
	m_iridescence.SetMax(1.0f);
	m_iridescence.Step = 0.01f;
	m_iridescence.SetPosition(IridescenceAmount);
	
	m_ior.SetMin(1.0f);
	m_ior.SetMax(10.0f);
	m_ior.Step = 0.01f;
	m_ior.SetPosition(ior);

	m_internalcaustics.SetChecked(CausticsInternal);
	m_customspecularcolor.SetChecked(CustomSpecularColor);
	m_customreflectioncolor.SetChecked(CustomReflectionColor);
	m_customrefractioncolor.SetChecked(CustomRefractionColor);
	m_customkt.SetChecked(CustomKt);
	m_customks.SetChecked(CustomKs);
	m_customkr.SetChecked(CustomKr);
	m_custommetal.SetChecked(CustomMetalAttribute);
	m_customkd.SetChecked(CustomKd);
	m_customkb.SetChecked(CustomKb);
	m_customka.SetChecked(CustomKa);
	m_customcolor.SetChecked(CustomColor);
	m_custombrdf.SetChecked(CustomBRDF);
	m_customambientcolor.SetChecked(CustomAmbientColor);
	
	
	m_causticdensity.SetMin(0.0f);
	m_causticdensity.SetMax(1.0f);
	m_causticdensity.Step = 0.01f;
	m_causticdensity.SetPosition(CausticsDensity);

	m_brdftype.SetCurSel(BRDFType);
	
	m_brdf.SetMin(0.0f);
	m_brdf.SetMax(45.0f);
	m_brdf.Step = 0.01f;
	m_brdf.SetPosition(BRDF);
	
	
	//m_shadertext.SetString(CString(ShaderText));
	
	
	m_ambientcolortext.SetString(CString(AmbientColorText));
	m_brdftext.SetString(CString(BRDFText));
	m_colortext.SetString(CString(ColorText));
	m_katext.SetString(CString(KaText));
	m_kbtext.SetString(CString(KbText));
	m_kdtext.SetString(CString(KdText));
	m_krtext.SetString(CString(KrText));
	m_metaltext.SetString(CString(MetalAttributeText));
	m_kstext.SetString(CString(KsText));
	m_kttext.SetString(CString(KtText));
	m_reflectioncolortext.SetString(CString(ReflectionColorText));
	m_refractioncolortext.SetString(CString(RefractionColorText));
	m_specularcolortext.SetString(CString(SpecularColorText));
	m_normalmodifier.SetString(CString(NormalModifier));
	m_displacementmapping.SetString(CString(DisplacementMapping));


	/*
	// get custom data
	//tsxSHADER* pShd = tsxShaderGetActive(tsxSHCLASS_REFLECTANCE);
	tsxMATERIAL* pMat;
	tsxMaterialCreateCopyActive(&pMat);

	tsxSHINFO* pShinfo = tsxMaterialGetShaderInfo(pMat, tsxSHCLASS_REFLECTANCE);


	long size;
	char* data = tsxShaderInfoGetCustomData(pShinfo,&size);
	if (size > 0)
	{
		m_shadertext.SetString(data);
	}*/

	m_declarationfile.SetCaption(DeclarationFile);


}

// Called when the value of a spinner is changed
LRESULT CMainDlg::OnNumberSpinnerChanged(WPARAM wParam, LPARAM lParam)
{
	
	Kt = m_kt.Position;
	
	Ks = m_ks.Position;
	
	KrBlur = m_krblur.Position;
	
	Kr = m_kr.Position;

	Absorption = m_absorption.Position;

	DispersionAmount = m_dispersionamount.Position;

	DispersionSamples = m_dispersionsamples.Position;

	MetalAttribute = m_metal.Position;
	
	Kd = m_kd.Position;
	
	Kb = m_kb.Position;
	
	Ka = m_ka.Position;

	IrradianceSamples = m_irradiancesamples.Position;
	
	IridescenceTurb = m_iridescenceturbulence.Position;
	
	IridescenceFilm = m_iridescencefilm.Position;
	
	IridescenceAmount = m_iridescence.Position;
	
	ior = m_ior.Position;

	BRDF = m_brdf.Position;

	CausticsDensity = m_causticdensity.Position;

	UpdateShader();
	return 0L;
}

// Called when the value of a spinner is changed
LRESULT CMainDlg::OnColorButtonChanged(WPARAM wParam, LPARAM lParam)
{
	if (wParam == m_color.GetDlgCtrlID() )
		m_color.GettssColor(Color);

	if (wParam == m_ambientcolor.GetDlgCtrlID() )
		m_ambientcolor.GettssColor(AmbientColor);

	if (wParam == m_specularcolor.GetDlgCtrlID() )
		m_specularcolor.GettssColor(SpecularColor);

	if (wParam == m_reflectioncolor.GetDlgCtrlID() )
		m_reflectioncolor.GettssColor(ReflectionColor);

	if (wParam == m_refractioncolor.GetDlgCtrlID() )
		m_refractioncolor.GettssColor(RefractionColor);

	UpdateShader();
	return 0L;
}

// Called when the value of an editbox is changed
LRESULT CMainDlg::OnTSEditChanged(WPARAM wParam, LPARAM lParam)
{
	//if (wParam == m_shadertext.GetDlgCtrlID() )
	//	strcpy(ShaderText, m_shadertext.String);
	if (wParam == m_ambientcolortext.GetDlgCtrlID() )
		strcpy(AmbientColorText, m_ambientcolortext.String);
	if (wParam == m_brdftext.GetDlgCtrlID() )
		strcpy(BRDFText, m_brdftext.String);
	if (wParam == m_colortext.GetDlgCtrlID() )
		strcpy(ColorText, m_colortext.String);
	if (wParam == m_katext.GetDlgCtrlID() )
		strcpy(KaText, m_katext.String);	
	if (wParam == m_kbtext.GetDlgCtrlID() )
		strcpy(KbText, m_kbtext.String);
	if (wParam == m_kdtext.GetDlgCtrlID() )
		strcpy(KdText, m_kdtext.String);
	if (wParam == m_krtext.GetDlgCtrlID() )
		strcpy(KrText, m_krtext.String);
	if (wParam == m_metaltext.GetDlgCtrlID() )
		strcpy(MetalAttributeText, m_metaltext.String);
	if (wParam == m_kstext.GetDlgCtrlID() )
		strcpy(KsText, m_kstext.String);
	if (wParam == m_kttext.GetDlgCtrlID() )
		strcpy(KtText, m_kttext.String);
	if (wParam == m_reflectioncolortext.GetDlgCtrlID() )
		strcpy(ReflectionColorText, m_reflectioncolortext.String);
	if (wParam == m_refractioncolortext.GetDlgCtrlID() )
		strcpy(RefractionColorText, m_refractioncolortext.String);
	if (wParam == m_specularcolortext.GetDlgCtrlID() )
		strcpy(SpecularColorText, m_specularcolortext.String);
	if (wParam == m_normalmodifier.GetDlgCtrlID() )
		strcpy(NormalModifier, m_normalmodifier.String);
	if (wParam == m_displacementmapping.GetDlgCtrlID() )
		strcpy(DisplacementMapping, m_displacementmapping.String);

	UpdateShader();
	return 0L;
}

// Called when the value of a checkbox is changed
LRESULT CMainDlg::OnCheckBoxChanged(WPARAM wParam, LPARAM lParam)
{
	// We know that *one* of the controls triggered this message,
	// let's see if it's the one we want
	
	if (wParam == m_plainsurface.GetDlgCtrlID())
	{
		m_patternsurface.SetChecked(false);
		m_functionalsurface.SetChecked(false);
	}

	if (wParam == m_patternsurface.GetDlgCtrlID())
	{
		m_functionalsurface.SetChecked(false);
		m_plainsurface.SetChecked(false);
	}

	if (wParam == m_functionalsurface.GetDlgCtrlID())
	{
		m_patternsurface.SetChecked(false);
		m_plainsurface.SetChecked(false);
	}

	if (m_plainsurface.Checked)
		SurfaceType = VLS_Plain;
	if (m_patternsurface.Checked)
		SurfaceType = VLS_Pattern;
	if (m_functionalsurface.Checked)
		SurfaceType = VLS_Functional;

	UseAmbientColor = m_useambientcolor.Checked;
	UseSpecularColor = m_usespecularcolor.Checked;
	UseReflectionColor = m_usereflectioncolor.Checked;
	UseRefractionColor = m_userefractioncolor.Checked;
	UseCaustics = m_usecaustics.Checked;

	CausticsInternal = m_internalcaustics.Checked;
	CustomSpecularColor = m_customspecularcolor.Checked;
	CustomReflectionColor = m_customreflectioncolor.Checked;
	CustomRefractionColor = m_customrefractioncolor.Checked;
	CustomKt = m_customkt.Checked;
	CustomKs = m_customks.Checked;
	CustomKr = m_customkr.Checked;
	CustomMetalAttribute = m_custommetal.Checked;
	CustomKd = m_customkd.Checked;
	CustomKb = m_customkb.Checked;
	CustomKa = m_customka.Checked;
	CustomColor = m_customcolor.Checked;
	CustomBRDF = m_custombrdf.Checked;
	CustomAmbientColor = m_customambientcolor.Checked;

	UseNormalModifier = m_usenormalmodifier.Checked;
	UseDisplacementMapping = m_usedisplacementmapping.Checked;

	UpdateShader();

	return 0L;
}


LRESULT CMainDlg::OnTSButtonRightClicked(WPARAM wParam, LPARAM lParam)
{
	if (wParam == m_declarationfile.GetDlgCtrlID())
	{
		m_declarationfile.SetCaption("none");
	}

	UpdateShader();

	return 0L;
}


void CMainDlg::OnHelpbtn()
{
	ShowHTML("vomatdocs\\index.html");
	return;
}

BOOL CMainDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	//retrieve the window size and position settings from the system registry
	int iHoriz = AfxGetApp()->GetProfileInt("MainPanel","PanelX",170);
	int iVert = AfxGetApp()->GetProfileInt("MainPanel","PanelY",50);


	// if this is the first run, write the key to auto update numberspinners
	// on focus change
	if (AfxGetApp()->GetProfileInt("Spinners","UpdateOnFocus",-1) == -1)
		AfxGetApp()->WriteProfileInt("Spinners","UpdateOnFocus", 1);
		
	// adjust the window position
	SetWindowPos(NULL,iHoriz,iVert,NULL,NULL, SWP_NOSIZE);

	m_CloseButton.m_hUpBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_CLOSE));
	m_CloseButton.m_hDownBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_DOCLOSE));
	m_CloseButton.DrawBorders = FALSE;

	m_HelpButton.m_hUpBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_HELP));
	m_HelpButton.m_hDownBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_DOHELP));
	m_HelpButton.DrawBorders = FALSE;

	m_RollupButton.m_hUpBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_ROLLUP));
	m_RollupButton.m_hDownBitmap = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_DOROLLUP));
	m_RollupButton.DrawBorders = FALSE;

	CRect myRect;
	GetClientRect(myRect);
	m_CloseButton.MoveWindow(myRect.right-12, 1, 11, 11, TRUE);
	m_RollupButton.MoveWindow(myRect.right - 24, 1, 11, 11, TRUE);
	m_HelpButton.MoveWindow(1, 1, 11, 11, TRUE);

	Rolled = FALSE;

	
	m_sampleres.SetMin(16);
	m_sampleres.SetMax(512);
	m_sampleres.Step = 1;
	m_sampleres.SetPosition(AfxGetApp()->GetProfileInt("Settings","SampleRes", 64));

	m_dorendersample.SetChecked(AfxGetApp()->GetProfileInt("Settings","RenderSample", false));

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}




void CMainDlg::UpdateShader(bool forcesample)
{
	//tsxSHADER* pShd = tsxShaderGetActive(tsxSHCLASS_REFLECTANCE);
	tsxShaderUpdate(ReflectanceShaderID);

	/*tsxMATERIAL* pMat;
	tsxMaterialCreateCopyActive(&pMat);

	tsxSHINFO* pShinfo = tsxMaterialGetShaderInfo(pMat, tsxSHCLASS_REFLECTANCE);

	tsxShaderInfoFreeCustomData(pShinfo);

	char* data=tsxShaderInfoAllocCustomData(pShinfo, m_shadertext.String.GetLength());
	
	strcpy(data, m_shadertext.String);

	tsxShaderUpdate(ReflectanceShaderID);*/

	//if ( (m_dorendersample.Checked) || (forcesample) )
	//	RenderMaterialSample();
}


void CMainDlg::OnSelchangeBrdftype() 
{
	BRDFType = m_brdftype.GetCurSel();
	UpdateShader();
}


void CMainDlg::RenderMaterialSample()
{
	if (theApp.RenderingSample)
		return;

	// get the VL path from the registry, assuming it was correctly setup in vo
	HKEY hk;
	TCHAR str[_MAX_PATH];
	DWORD length = _MAX_PATH;
	
	if (RegOpenKey(HKEY_CURRENT_USER, _T("Software\\cool powers\\VIRTUAOUT\\Settings"), &hk))
	{
		return;
	}

	if (RegQueryValueEx(hk, _T("VLightPath"), NULL, NULL, (LPBYTE)str, &length))
	{
		return;
	}

	RegCloseKey(hk);

	CString VLightPath(str);
	

	theApp.RenderingSample = true;

	char tempdir[_MAX_PATH];
	GetTempPath(_MAX_PATH, tempdir);
	CString temppath(tempdir);
		
	vib.Open(temppath + "vomatsample.vib", CFile::modeCreate | CFile::modeWrite | CFile::typeText);
	vs.Open(temppath + "vomatsample.vs", CFile::modeCreate | CFile::modeWrite | CFile::typeText);

	// shader file basics
	vs.WriteString("ReadArchive \"statics.vib\"\n");
	vs.WriteString("Declare stripe = SpectrumOfColors(\n");
	vs.WriteString("[0.000, '0.21, 0.21, 0.21', 0.04999, '0.21, 0.21, 0.21']\n");
	vs.WriteString("[0.050, '0.8, 0.8, 0.8', 0.0999, '0.8, 0.8, 0.8']\n");
	vs.WriteString("[0.100, '0.21, 0.21, 0.21', 0.14999, '0.21, 0.21, 0.21']\n");
	vs.WriteString("[0.150, '0.8, 0.8, 0.8', 0.2, '0.8, 0.8, 0.8'])\n");
	vs.WriteString("Declare BackgroundShader = Shader [ FunctionalSurface [\n");
	vs.WriteString("	Color stripe[fmod(u+v, 0.2)]\n");
	vs.WriteString("	Ka 1.000000\n");
	vs.WriteString("	Kd 0.000000\n");
	vs.WriteString("]\n");
	vs.WriteString("]\n");


	vib.WriteString("Camera [\n");
	vib.WriteString("	(-0.086987,-0.014500,5.925819), (-0.086987,0.002952,4.925971), (0.000000,0.000000,1.000000)\n");
	vib.WriteString("	FieldOfView 28.134003\n");
	vib.WriteString("	Format (128, 128)\n");
	vib.WriteString("	FrameAspectRatio 1.0000\n");
	vib.WriteString("	LensModel PERSPECTIVE\n");
	vib.WriteString("]\n");
	vib.WriteString("Options [\n");
	vib.WriteString("	AdaptiveDepth 1\n");
	vib.WriteString("	ShadowBias 0.001000\n");
	vib.WriteString("	MaxRayLevel 6\n");
	vib.WriteString("	MaxBlurLevel 3\n");
	vib.WriteString("	MaxBlurSamples 4\n");
	vib.WriteString("]\n");
	vib.WriteString("DirectionalLight [\n");
	vib.WriteString("	(0.450813,0.388035,0.803863)\n");
	vib.WriteString("	Intensity '1.000000,1.000000,1.000000'\n");
	vib.WriteString("	LightingAttributes SPECULAR\n");
	vib.WriteString("]\n");
	vib.WriteString("\n");
	vib.WriteString("\n");
	vib.WriteString("\n");
	vib.WriteString("Shape [\n");
	vib.WriteString("Sphere('0,0,0', 1.25)\n");
	vib.WriteString("ShapeSubdivisions(16,16)\n");
	vib.WriteString("RenderBound (0,0,1.00075,1.00075)\n");
	vib.WriteString("BallShader\n");

	// has to go here so that it can write the displacement mapping directive
	// if needed
	ConvertMaterial();

	vib.WriteString("ShadingAttributes 191\n");
	vib.WriteString("]\n");
	vib.WriteString("\n");
	vib.WriteString("\n");
	vib.WriteString("\n");
	vib.WriteString("Shape [\n");
	vib.WriteString("	NURBS(\n");
	vib.WriteString("	4, 4, [ 0.000000, 0.000000, 0.000000, 0.000000, 1.000000, 1.000000, 1.000000, 1.000000 ], \n");
	vib.WriteString("	4, 4, [ 0.000000, 0.000000, 0.000000, 0.000000, 1.000000, 1.000000, 1.000000, 1.000000 ], \n");
	vib.WriteString("	[\n");
	vib.WriteString("	[ (-6.244532,6.244532,0.000000) , (-6.244532,2.081511,0.000000) , (-6.244532,-2.081511,0.000000) , (-6.244532,-6.244532,0.000000)  ],\n");
	vib.WriteString("	[ (-2.081511,6.244532,0.000000) , (-2.081511,2.081511,0.000000) , (-2.081511,-2.081511,0.000000) , (-2.081511,-6.244532,0.000000)  ],\n");
	vib.WriteString("	[ (2.081511,6.244532,0.000000) , (2.081511,2.081511,0.000000) , (2.081511,-2.081511,0.000000) , (2.081511,-6.244532,0.000000)  ],\n");
	vib.WriteString("	[ (6.244532,6.244532,0.000000) , (6.244532,2.081511,0.000000) , (6.244532,-2.081511,0.000000) , (6.244532,-6.244532,0.000000) ]\n");
	vib.WriteString("	] )\n");
	vib.WriteString("	BackgroundShader\n");
	vib.WriteString("	ShapeSubdivisions(16,16)\n");
	vib.WriteString("	RenderBound (0,0,1.00075,1.00075)\n");
	vib.WriteString("]\n");


	vs.Close();
	vib.Close();


	//char cmdline[_MAX_PATH];
	int res = (int)m_sampleres.Position;
	CString cmdline;
	
	cmdline.Format("\"%s\" \"%s\" -r %d %d", VLightPath, temppath + "vomatsample", res, res);
	//WinExec(cmdline, SW_SHOWMINIMIZED);
	int retvalue;
	RunProcessAndWait(cmdline, temppath, &retvalue);

	theApp.RenderingSample = false;
}

void CMainDlg::ConvertMaterial()
{
	CString s;

	/*if (strcmp(m_shadertext.String, "none") != 0)
	{
		vs.WriteString(m_shadertext.String);
		vs.WriteString("\n");
	}*/
	
	// write the declarations
	if (m_declarationfile.Caption != "")
	{
		if (strcmp(m_declarationfile.Caption, "none") != 0)
		{
			s.Format("ReadArchive \"%s\"\n\n", m_declarationfile.Caption);
			vs.WriteString(s);
		}
	}

	if (m_plainsurface.Checked)
		vs.WriteString("Declare BallShader = Shader [ PlainSurface [\n");
	else
	if (m_patternsurface.Checked)
		vs.WriteString("Declare BallShader = Shader [ PatternSurface [\n");
	else
	if (m_functionalsurface.Checked)
		vs.WriteString("Declare BallShader = Shader [ FunctionalSurface [\n");
	
	// now the standard params
	bool b;
	float fval;
	short dval;
	char sval[255];
	tssColor cval;

	// color
	if (m_customcolor.Checked)
	{		
		s.Format("	Color %s\n", m_colortext.String);
	}
	else
	{
		m_color.GettssColor(cval);
		s.Format("	Color '%f,%f,%f'\n", cval[0],cval[1],cval[2]);
	}
	vs.WriteString(s);

	// ambient color
	if (m_useambientcolor.Checked)
	{
		if (m_customambientcolor.Checked)
		{		
			s.Format("	AmbientColor %s\n", m_ambientcolortext.String);
		}
		else
		{
			m_ambientcolor.GettssColor(cval);
			s.Format("	AmbientColor '%f,%f,%f'\n", cval[0],cval[1],cval[2]);
		}
		vs.WriteString(s);
	}
	
	// ambient
	if (m_customka.Checked)
	{
		s.Format("	Ka %s\n", m_katext.String);
		vs.WriteString(s);
	}
	else
	{
		s.Format("	Ka %f\n", m_ka.Position);
		if (m_ka.Position > 0.0f)
			vs.WriteString(s);
	}
	

	// diffuse
	if (m_customkd.Checked)
	{
		s.Format("	Kd %s\n", m_kdtext.String);
		vs.WriteString(s);
	}
	else
	{
		s.Format("	Kd %f\n", m_kd.Position);
		if (m_kd.Position > 0.0f)
			vs.WriteString(s);
	}
	

	// brilliance
	if (m_customkb.Checked)
	{
		s.Format("	Kb %s\n", m_kbtext.String);
		vs.WriteString(s);
	}
	else
	{
		s.Format("	Kb %f\n", m_kb.Position);
		if (m_kb.Position > 0.0f)
			vs.WriteString(s);
	}

	// specular	
	if (m_usespecularcolor.Checked)
	{	
		char speccoltext[255];
		CString ksvaltext;
		tssColor speccol;

		if (m_customks.Checked)
		{
			ksvaltext.Format("%s", m_kstext.String);
		}
		else
		{
			ksvaltext.Format("%f", m_ks.Position);
		}

		if (m_customspecularcolor.Checked)
		{
			s.Format("	Ks (%s, %s)\n", ksvaltext, m_specularcolortext.String);
		}
		else
		{
			m_specularcolor.GettssColor(speccol);
			s.Format("	Ks (%s, '%f,%f,%f')\n", ksvaltext, speccol[0], speccol[1], speccol[2]);
		}

		vs.WriteString(s);
		
	}
	else
	{
		if (m_customks.Checked)
		{
			s.Format("	Ks %s\n", m_kstext.String);
			vs.WriteString(s);
		}
		else
		{
			s.Format("	Ks %f\n", m_ks.Position);
			if (m_ks.Position > 0.0f)
				vs.WriteString(s);
		}
	}				

	// roughness
	char brdftext[255];
	if (m_custombrdf.Checked)
	{
		strcpy(brdftext, m_brdftext.String);
	}
	else
	{
		sprintf(brdftext, "%f", m_brdf.Position);
	}
	switch (m_brdftype.GetCurSel())
	{
	case 0:
		s.Format("	PhongSpecularBRDF %s\n", brdftext);
		break;
	case 1:
		s.Format("	BlinnSpecularBRDF %s\n", brdftext);
		break;
	case 2:
		s.Format("	CookSpecularBRDF %s\n", brdftext);
		break;
	case 3:
		s.Format("	ReitzSpecularBRDF %s\n", brdftext);
		break;
	case 4:
		s.Format("	GaussianSpecularBRDF %s\n", brdftext);
		break;
	}
	vs.WriteString(s);


	// reflection
	CString blurtext;
	CString blurbracket;
	if (m_krblur.Position > 0.0f)
	{				
		blurtext.Format(", %f)", m_krblur.Position);
		blurbracket = "(";
	}
	
	if (m_customkr.Checked)
	{
		s.Format("	Kr %s%s%s\n", blurbracket, m_krtext.String, blurtext);
		vs.WriteString(s);
	}
	else
	{
		s.Format("	Kr %s%f%s\n", blurbracket, m_kr.Position, blurtext);
		if (m_kr.Position > 0.0f)
			vs.WriteString(s);
	}

	// reflection color
	if (m_usereflectioncolor.Checked)
	{
		if (m_customreflectioncolor.Checked)
		{			
			s.Format("	ReflectionColor %s\n", m_reflectioncolortext.String);
		}
		else
		{
			m_reflectioncolor.GettssColor(cval);
			s.Format("	ReflectionColor '%f,%f,%f'\n", cval[0],cval[1],cval[2]);
		}
		vs.WriteString(s);
	}

	// metal attribute
	if (m_custommetal.Checked)
	{
		s.Format("	MetalAttribute %s\n", m_metaltext.String);
		vs.WriteString(s);
	}
	else
	{		
		s.Format("	MetalAttribute %f\n", m_metal.Position);
		if (m_metal.Position > 0.0f)
			vs.WriteString(s);
	}

	// absorption
	if (m_absorption.Position > 0.0f)
	{
		s.Format("	Absorption %f\n", m_absorption.Position);
		vs.WriteString(s);
	}
	
	// refraction

	CString reftext;
	if (m_userefractioncolor.Checked)
	{
		if (m_customrefractioncolor.Checked)
		{
			reftext.Format(", %s", m_refractioncolortext);
		}
		else
		{
			tssColor col;
			m_refractioncolor.GettssColor(col);
			reftext.Format(", '%f,%f,%f'", col[0],col[1],col[2]);
		}
	}

	CString iortext;
	iortext.Format("%f", m_ior.Position);

	if (m_customkt.Checked)
	{
		s.Format("	Kt (%s, %s%s)\n", m_kttext.String, iortext, reftext);
		vs.WriteString(s);
	}
	else
	{
		s.Format("	Kt (%f, %s%s)\n", m_kt.Position, iortext, reftext);
		if (m_kt.Position > 0.0f)
			vs.WriteString(s);
	}

	// dispersion
	if (m_dispersionamount.Position > 1.0f)
	{
		s.Format("	Dispersion (%f, %d)\n", m_dispersionamount.Position, m_dispersionsamples.Position);
		vs.WriteString(s);
	}


	// caustics
	if (m_usecaustics.Checked)
	{
		bool internal = m_internalcaustics.Checked;
		
		
		if (internal)
			s.Format("	Caustics (%f, InternalCaustics)\n", m_causticdensity.Position);
		else
			s.Format("	Caustics %f\n", m_causticdensity.Position);
			
		vs.WriteString(s);
	}

	// iridescence
	float iridamount, iridfilm, iridturb;
	iridamount = m_iridescence.Position;
	if (iridamount > 0.0f)
	{
		s.Format("	Iridescence (%f, %f, %f)\n", iridamount, m_iridescencefilm.Position, m_iridescenceturbulence.Position);
		vs.WriteString(s);
	}

	// irradiance
	if (m_irradiancesamples.Position > 0)
	{
		s.Format("	IrradianceSamples %d\n", m_irradiancesamples.Position);
		vs.WriteString(s);
	}


	// normal modifier
	if (m_usenormalmodifier.Checked)
	{
		s.Format("	NormalModifier %s\n", m_normalmodifier.String);
		vs.WriteString(s);
	}
	


	
	
	vs.WriteString("]\n");
	vs.WriteString("]\n");
	vs.WriteString("\n");


	if (m_usedisplacementmapping.Checked)
	{
		s.Format("static BallDM = %s\n", m_displacementmapping.String);
		vs.WriteString(s);
		vib.WriteString("	DisplacementMapping BallDM\n");
	}
}

void CMainDlg::OnDeclarationfile() 
{
	CFileDialog dlg( TRUE,NULL,_T("*.vs"),
	                 OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,
	                 _T("Virtualight shader files (*.vs)|*.vs"));

	if (dlg.DoModal() == IDOK)
	{
		strcpy(DeclarationFile, dlg.GetPathName() );
		m_declarationfile.SetCaption(DeclarationFile);

		UpdateShader();
	}

}
