#if !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
#define AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MainDlg.h : header file
//

#include "colorbutton.h"
#include "tSButton.h"
#include "NumberSpinner.h"
#include "tSCheckBox.h"
#include "TSEdit.h"

#include "..\XTabCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

class CMainDlg : public CDialog
{
// Construction
public:
	void RenderMaterialSample();
	void ConvertMaterial();
	void UpdateShader(bool forcesample = false);
	void UpdateInterface();
	bool Rolled;
	CMainDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMainDlg)
	enum { IDD = IDD_MAINDLG };
	CNumberSpinner	m_dispersionsamples;
	CNumberSpinner	m_dispersionamount;
	CNumberSpinner	m_absorption;
	CTSEdit	m_refractioncolortext;
	CtSCheckBox	m_userefractioncolor;
	CColorButton	m_refractioncolor;
	CtSCheckBox	m_customrefractioncolor;
	CtSCheckBox	m_useambientcolor;
	CNumberSpinner	m_sampleres;
	CtSCheckBox	m_dorendersample;
	CtSButton	m_declarationfile;
	CtSCheckBox	m_usenormalmodifier;
	CtSCheckBox	m_usedisplacementmapping;
	CTSEdit	m_normalmodifier;
	CTSEdit	m_displacementmapping;
	CTSEdit	m_metaltext;
	CNumberSpinner	m_metal;
	CtSCheckBox	m_custommetal;
	CTSEdit	m_katext;
	CtSCheckBox	m_usespecularcolor;
	CtSCheckBox	m_usereflectioncolor;
	CtSCheckBox	m_usecaustics;
	CColorButton	m_specularcolor;
	CColorButton	m_reflectioncolor;
	CNumberSpinner	m_kt;
	CNumberSpinner	m_ks;
	CNumberSpinner	m_krblur;
	CNumberSpinner	m_kr;
	CNumberSpinner	m_kd;
	CNumberSpinner	m_kb;
	CNumberSpinner	m_ka;
	CNumberSpinner	m_irradiancesamples;
	CNumberSpinner	m_iridescenceturbulence;
	CNumberSpinner	m_iridescencefilm;
	CNumberSpinner	m_iridescence;
	CNumberSpinner	m_ior;
	CtSCheckBox	m_internalcaustics;
	CtSCheckBox	m_customspecularcolor;
	CtSCheckBox	m_customreflectioncolor;
	CtSCheckBox	m_customkt;
	CtSCheckBox	m_customks;
	CtSCheckBox	m_customkr;
	CtSCheckBox	m_customkd;
	CtSCheckBox	m_customkb;
	CtSCheckBox	m_customka;
	CtSCheckBox	m_customcolor;
	CtSCheckBox	m_custombrdf;
	CtSCheckBox	m_customambientcolor;
	CColorButton	m_color;
	CNumberSpinner	m_causticdensity;
	CComboBox	m_brdftype;
	CNumberSpinner	m_brdf;
	CColorButton	m_ambientcolor;
	CtSCheckBox	m_plainsurface;
	CtSCheckBox	m_patternsurface;
	CtSCheckBox	m_functionalsurface;
	CTSEdit	m_shadertext;
	CtSButton	m_RollupButton;
	CtSButton	m_HelpButton;
	CtSButton	m_CloseButton;
	CTSEdit	m_ambientcolortext;
	CTSEdit	m_brdftext;
	CTSEdit	m_colortext;
	CTSEdit	m_kbtext;
	CTSEdit	m_kdtext;
	CTSEdit	m_krtext;
	CTSEdit	m_kstext;
	CTSEdit	m_kttext;
	CTSEdit	m_reflectioncolortext;
	CTSEdit	m_specularcolortext;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMainDlg)
	afx_msg void OnPaint();
	afx_msg UINT OnNcHitTest(CPoint point);
	afx_msg void OnClose();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnCloseBtn();
	afx_msg void OnRollup();	
	virtual BOOL OnInitDialog();
	afx_msg void OnHelpbtn();	
	afx_msg LRESULT OnCheckBoxChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnNumberSpinnerChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnColorButtonChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnTSEditChanged( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnTSButtonRightClicked( WPARAM wParam, LPARAM lParam );
	afx_msg void OnSelchangeBrdftype();
	afx_msg void OnDeclarationfile();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int OldHeight;
	CStdioFile vib;
	CStdioFile vs;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINDLG_H__2355D4BD_03B0_484E_9FB6_C09CDA7EF978__INCLUDED_)
